#
# spec file for package xdmbgrd
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdmbgrd
Version:        0.8
Release:        2.4
Summary:        SUSE Linux background
License:        GPL-2.0-or-later
Group:          System/X11/Displaymanagers
Source:         xdmbgrd-%{version}.tar.bz2
Source1:        xdmbgrd-rpmlintrc
BuildRequires:  pkgconfig
BuildRequires:  xdm
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(zlib)

%description
The SUSE Linux background for your XDM workstation.

%prep
%setup -q

%build
PATH=$PATH:.
export RPM_OPT_FLAGS="%{optflags}"
make XLIBD=%{_libdir} openSUSE=SuSE_Linux_6 SLES=SuSE_Linux_8

%install
if test -x %{_bindir}/chooser ; then
	mkdir -p %{buildroot}%{_bindir}
	install -m 0755 BackGround %{buildroot}%{_bindir}
	echo %{_bindir}/BackGround > file-list
else
    if test -x /etc/X11/xdm/chooser ; then
	mkdir -p %{buildroot}%{_sysconfdir}/X11/xdm
	install -m 0755 BackGround %{buildroot}%{_sysconfdir}/X11/xdm/
	echo /etc/X11/xdm/BackGround           > file-list
    else
	mkdir -p %{buildroot}%{_libdir}/X11/xdm
	install -m 0755 BackGround %{buildroot}%{_libdir}/X11/xdm
	echo %{_libdir}/X11/xdm/BackGround > file-list
    fi
fi

%files -f file-list
%defattr(-,root,root)

%changelog
* Thu Nov 30 2023 Guillaume GARDET <guillaume.gardet@opensuse.org>
- USe %%{optflags} to build package
* Fri Apr 29 2022 Dr. Werner Fink <werner@suse.de>
- Move forward to version 0.8
  * Do not use executable stack
* Wed Feb  9 2022 Dr. Werner Fink <werner@suse.de>
- Stop rpmlint warning about features of this tools
* Tue Feb  8 2022 Dr. Werner Fink <werner@suse.de>
- Move forward to version 0.7
  * Remove patches xdmbgrd-0.6.dif and xdmbgrd-piggyback.dif
    as now part of the code
  * Add and use SUSE Logo (bsc#1195675)
* Tue Feb  8 2022 Dr. Werner Fink <werner@suse.de>
- Modify patch xdmbgrd-0.6.dif
  * Fix bsc#1195664, that is use /etc/os-release to detect openSUSE
* Thu Jul 27 2017 bwiedemann@suse.com
- Update xdmbgrd-piggyback.dif to not include PID in piggyback
  temp filenames to generate reproducible output
* Wed Oct 29 2014 crrodriguez@opensuse.org
- Deprecate use of xorg-x11-devel, switch to individual
  pkgconfig() BuildRequires
* Fri Aug  1 2014 werner@suse.de
- Change title/subject to replace SuSE with SUSE (bnc#888992)
* Thu Mar 27 2014 dmueller@suse.com
- fix alignment of embedded data (thanks to matz@suse.com for
  the debugging)
* Fri Apr  5 2013 idonmez@suse.com
- Cleanup spec file
* Mon Jan 12 2009 werner@suse.de
- Detect SLES or openSuSE at run time (bnc#462280)
* Thu Oct  4 2007 bg@suse.de
- Inform piggypack about parisc architecture
* Thu Sep 21 2006 werner@suse.de
- Set branding logo at compile time  (bug #206869)
- Use new logos for openSuSE and SLES
* Tue Aug  1 2006 werner@suse.de
- Make it compatible with X11R7
* Sat May 27 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar 11 2004 werner@suse.de
- Update to 0.5 for simply change the SuSE_Linux xpm (bug #35626)
* Sun Oct 19 2003 meissner@suse.de
- norootforbuild, fixed lib64 problem on ppc32.
* Fri Jun 13 2003 coolo@suse.de
- use BuildRoot
- shuffle install section to avoid installing unpackaged files
* Mon Mar  3 2003 werner@suse.de
- Avoid trouble with stupid rpm: use /usr/X11R6/bin/BackGround only
* Mon Mar  3 2003 werner@suse.de
- Part one of fix for bug #24546: symlink /usr/X11R6/bin/BackGround
* Tue Jan 14 2003 nadvornik@suse.cz
- fixed multi-line string literals
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Apr 30 2002 werner@suse.de
- Add s390x arch to piggyback and make scanning for ld_m more
  flexible for future architectures.
* Thu Apr 25 2002 werner@suse.de
- Make it build even if on x86_64
* Thu Jun 21 2001 sndirsch@suse.de
- adjusted ld input format/emulation for s390 in piggyback
* Fri Jun  9 2000 werner@suse.de
- Make logo embossed instead of low-lying
* Wed May 10 2000 kukuk@suse.de
- xpm is now part of xf86/xshared
* Thu Apr 13 2000 schwab@suse.de
- Support ia64 in piggyback.
- Pass `-no-warn-mismatch' to linker.
* Tue Mar 21 2000 werner@suse.de
- New version 0.4 for better contours of geeko
* Mon Mar 20 2000 werner@suse.de
- New version 0.3
  * new geeko now looking to the `right' side
  * pickypack now using objdump to get the binary format
- Install BackGround depending at the location of chooser, e.g.
  for XFree86 this is /etc/X11/xdm/
* Sat Dec  4 1999 kukuk@suse.de
- fixed piggyback for SPARC
* Tue Sep 21 1999 uli@suse.de
- fixed piggyback for PPC
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 11 1999 werner@suse.de
- Drop the dots
* Tue Feb  2 1999 ro@suse.de
- patched piggyback to work on alpha and i386
* Tue Feb  2 1999 ro@suse.de
- use alpha for ld-mode on alpha
* Tue Jul 21 1998 werner@suse.de
- Include sources
* Wed Feb  4 1998 ro@suse.de
- generated spec file
